Loading...
Searching...
No Matches
edge_set.h File Reference
Data Structures » Graph Structures

## Detailed Description

Graphs which use another graph's node-set as own.

`#include <lemon/core.h>`
`#include <lemon/bits/edge_set_extender.h>`

## Classes

class | ListArcSet< GR >
| Digraph using a node set of another digraph or graph and an own arc set. More...
class | ListEdgeSet< GR >
| Graph using a node set of another digraph or graph and an own edge set. More...
class | SmartArcSet< GR >
| Digraph using a node set of another digraph or graph and an own arc set. More...
class | SmartEdgeSet< GR >
| Graph using a node set of another digraph or graph and an own edge set. More...

## Namespaces

namespace | lemon
| The namespace of LEMON.